net.i2p.util

## Class I2PProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - net.i2p.util.I2PProperties

- All Implemented Interfaces:
    Serializable, Cloneable, Map<Object,Object>

      public class I2PProperties
      extends Properties

  This class contains a number of properties ((key,value)-pairs). Additionally, it adds the possibility for callbacks, to allow immediate response to changing properties.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `I2PProperties.I2PPropertyCallback` Callback interface for property change notifications.

  - ### Field Summary

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PProperties()`
    `I2PProperties(Properties defaults)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCallBack(I2PProperties.I2PPropertyCallback callback)`
    `void` | `removeCallBack(I2PProperties.I2PPropertyCallback callback)`
    `Object` | `setProperty(String key, String value)`

    - ### Methods inherited from class java.util.Properties

      `getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### I2PProperties

          public I2PProperties()

    - #### I2PProperties

          public I2PProperties(Properties defaults)

  - ### Method Detail

    - #### addCallBack

          public void addCallBack(I2PProperties.I2PPropertyCallback callback)

    - #### removeCallBack

          public void removeCallBack(I2PProperties.I2PPropertyCallback callback)

    - #### setProperty

          public Object setProperty(String key,
                                    String value)

      Overrides:
        `setProperty` in class `Properties`